# Changelog

All notable changes to this project will be documented in this file.

## [0.6.4] - 2024-11-27

### 🐛 Bug Fixes

- *(deps)* Update module github.com/stretchr/testify to v1.10.0
- *(deps)* Update module gitlab.com/unboundsoftware/eventsourced/eventsourced to v1.16.0

## [0.6.3] - 2024-10-06

### 🐛 Bug Fixes

- *(deps)* Update module gitlab.com/unboundsoftware/eventsourced/eventsourced to v1.15.0

### ⚙️ Miscellaneous Tasks

- Add release flow

## [0.6.2] - 2024-03-23

### 🚀 Features

- Add event modifiers

### 🐛 Bug Fixes

- *(deps)* Update module github.com/stretchr/testify to v1.9.0

### ⚙️ Miscellaneous Tasks

- Use go 1.21.4
- Update version of Go and golangci-lint

## [0.6.1] - 2023-10-27

### ⚙️ Miscellaneous Tasks

- Remove go patch level

## [0.6.0] - 2023-10-26

### 🚀 Features

- Handle EventSequence

### ⚙️ Miscellaneous Tasks

- Change default branch to main
- Switch to manual rebases for Dependabot
- Update to golang 1.20.1
- Update to golangci-lint 1.51.2
- Update to Go 1.20.3
- *(deps)* Update to Go 1.20.5
- Update Go and golangci-lint versions

## [0.5.0] - 2023-01-26

### 🚀 Features

- Add RestoreSnapshot in preparation for Store API change

## [0.4.0] - 2023-01-24

### 🚀 Features

- Update to new Store API

### ⚙️ Miscellaneous Tasks

- Remove Stop-func

## [0.3.0] - 2022-10-11

### 🚀 Features

- [**breaking**] Add context to fulfill eventsourced contract

### 🐛 Bug Fixes

- Run builds with Go 1.19.2 to fix vulnerabilities

### ⚙️ Miscellaneous Tasks

- Add dependabot config
- Remove dependabot-standalone
- Change to codecov binary instead of bash uploader
- Replace golint with golangci-lint and run as separate step
- Add vulnerability-check

## [0.2.0] - 2020-12-04

### 🐛 Bug Fixes

- Handle aggregate existance

## [0.1.0] - 2020-12-03

### ⚙️ Miscellaneous Tasks

- Remove CreateAggregateRoot

## [0.0.5] - 2020-11-25

### ⚙️ Miscellaneous Tasks

- Add mock for Events

## [0.0.4] - 2020-11-24

### ⚙️ Miscellaneous Tasks

- Flag AssertPublished as a Helper

## [0.0.3] - 2020-11-23

### 🐛 Bug Fixes

- Golint errors

### ⚙️ Miscellaneous Tasks

- Add default implementations for store

## [0.0.2] - 2020-11-23

### 🚀 Features

- Add mock publisher

## [0.0.1] - 2020-11-23

### 🚀 Features

- Initial commit

### 🐛 Bug Fixes

- Golint errors

<!-- generated by git-cliff -->
